<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'LogoLinks',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer
    class="slp-mb-96 slp-mt-96"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
    data-aos-easing="ease-in"
    data-aos-once="true"
  >
    <SlpRow class="slp-mb-32 slp-justify-content-center">
      <SlpTypography tag="h2" variant="heading3"
        >{{ data.header }}
      </SlpTypography>
    </SlpRow>
    <SlpRow>
      <SlpColumn
        v-for="(logo, index) in data.logos"
        :key="index"
        :cols="data.column_size"
        class="logo"
        :data-aos="logo.aos_animation"
        :data-aos-duration="logo.aos_duration"
      >
        <template v-if="data.clickable">
          <a
            class="logo--container logo--link"
            :href="logo.href"
            :data-ga-name="logo.data_ga_name"
            :data-ga-location="logo.data_ga_location"
          >
            <nuxt-img
              class="logo__image"
              :src="logo.logo_url"
              :alt="logo.logo_alt"
              loading="lazy"
              format="webp"
              quality="99"
            />
          </a>
        </template>
        <template v-else>
          <div class="logo--container">
            <img
              class="logo__image"
              :src="logo.logo_url"
              :alt="logo.logo_alt"
              loading="lazy"
            />
          </div>
        </template>
      </SlpColumn>
    </SlpRow>
    <SlpRow class="slp-justify-content-center slp-mt-32">
      <SlpButton
        v-if="data.button"
        :variant="data.button.variant"
        :href="data.button.href"
        :data-ga-name="data.button.data_ga_name"
        :data-ga-location="data.button.data_ga_location"
      >
        {{ data.button.text }}
      </SlpButton>
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss">
.logo {
  width: inherit;
  max-width: 50%;
  text-align: center;
  padding-top: $spacing-16;
  padding-bottom: $spacing-16;

  &--container {
    display: flex;
    justify-content: center;
    margin: 0 auto;
    max-width: 10rem;
    height: 100%;
    align-items: center;
  }

  &--link {
    opacity: 0.4;
    transition: opacity 0.4s ease-in-out;

    &:hover {
      opacity: 1;
    }
  }

  &__image {
    max-height: 75px;
    width: 120px;
  }
}
</style>
